package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 考试更换件关联对象 sim_real_exam_comp_request
 *
 * @author tom
 * @date 2024-12-15
 */
public class RealExamCompRequest extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long relId;

    /**
     * 考试ID
     */
    @Excel(name = "考试ID")
    private Long examId;

    /**
     * 故障ID
     */
    @Excel(name = "故障ID")
    private String faultId;

    /**
     * 状态
     * 1:已申请
     * 2:已处理
     * 3:已驳回
     */
    @Excel(name = "状态")
    private String requestStatus;

    /**
     * 创建学员ID/用户ID
     */
    @Excel(name = "创建学员ID/用户ID")
    private Long createByUserId;

    /**
     * 创建教师ID/用户ID
     */
    @Excel(name = "创建教师ID/用户ID")
    private Long updateByUserId;

    public void setRelId(Long relId) {
        this.relId = relId;
    }

    public Long getRelId() {
        return relId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setFaultId(String faultId) {
        this.faultId = faultId;
    }

    public String getFaultId() {
        return faultId;
    }

    public void setRequestStatus(String requestStatus) {
        this.requestStatus = requestStatus;
    }

    public String getRequestStatus() {
        return requestStatus;
    }

    public void setCreateByUserId(Long createByUserId) {
        this.createByUserId = createByUserId;
    }

    public Long getCreateByUserId() {
        return createByUserId;
    }

    public void setUpdateByUserId(Long updateByUserId) {
        this.updateByUserId = updateByUserId;
    }

    public Long getUpdateByUserId() {
        return updateByUserId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("relId", getRelId())
                .append("examId", getExamId())
                .append("faultId", getFaultId())
                .append("requestStatus", getRequestStatus())
                .append("createByUserId", getCreateByUserId())
                .append("updateByUserId", getUpdateByUserId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
